## gocryptfs 1.7

=== Makefile ===
.phony: build
build:
	./build.bash

.phony: test
test:
	./test.bash

.phony: format
format:
	go fmt ./...

## gocryptfs 1.0

=== debian/changelog ===
gocryptfs (1.0-2) unstable; urgency=medium

  * Fix dependencies for new packages.
  * Initial release (Closes: 839279)

 -- David Steele <steele@debian.org>  Mon, 10 Oct 2016 19:39:56 -0400

gocryptfs (1.0-1) UNRELEASED; urgency=low

  * Initial release (Closes: 839279)

 -- David Steele <steele@debian.org>  Tue, 27 Sep 2016 20:07:48 -0400

=== debian/control ===
Source: gocryptfs
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: David Steele <steele@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-hanwen-go-fuse-dev,
               golang-github-jacobsa-crypto-dev,
               golang-github-rfjakob-eme-dev,
               golang-golang-x-crypto-dev,
               ruby-ronn,
Standards-Version: 3.9.8
Homepage: https://github.com/rfjakob/gocryptfs
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gocryptfs.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/gocryptfs.git -b debian
XS-Go-Import-Path: github.com/rfjakob/gocryptfs

Package: gocryptfs
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: golang-github-jacobsa-crypto-dev,
         golang-github-rfjakob-eme-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Encrypted overlay filesystem written in Go.
 gocryptfs is built on top the excellent go-fuse
 (https://github.com/hanwen/go-fuse) FUSE library and its
 LoopbackFileSystem API.
 .
 This project was inspired by EncFS and strives to fix its
 security issues while providing good performance (benchmarks
 (https://nuetzlich.net/gocryptfs/comparison/#performance)).
 .
 For details on the security of gocryptfs see the Security
 (https://nuetzlich.net/gocryptfs/security/) design document.

=== debian/rules ===
#!/usr/bin/make -f

PKD = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG = $(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source)
VER = $(shell (dpkg-parsechangelog -l$(PKD)/changelog | grep Version | sed 's/Version..//' | sed 's/-.\+//'))

%:
	dh $@ --buildsystem=golang --with=golang

CHDATE = $(shell grep "\-\-" debian/changelog | head -1 | sed 's/.\+, //' | sed 's/...\:.\+//' )
DT = $(shell date -d "${CHDATE}" "+%Y-%m-%d")

override_dh_auto_build:
	rm -rf obj-*/src/github.com/rfjakob/gocryptfs/tests/matrix
	rm -rf obj-*/src/github.com/rfjakob/gocryptfs/tests/normal
	rm -rf obj-*/src/github.com/rfjakob/gocryptfs/tests/plaintextnames
	dh_auto_build
	cp -r internal/configfile/config_test obj-*/src/github.com/rfjakob/gocryptfs/internal/configfile
	ronn --date=${DT} debian/*.ronn

override_dh_auto_test:


get-orig-source:  $(info I: $(PKG)_$(VER))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	rm -f gocryptfs_v$(VER)*.tar.gz.pgp

## gocryptfs 1.1.1

=== debian/changelog ===
gocryptfs (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Add required build depends (Closes: 843674)

 -- David Steele <steele@debian.org>  Tue, 08 Nov 2016 23:03:10 -0500

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,9 @@
                golang-github-rfjakob-eme-dev,
                golang-golang-x-crypto-dev,
                ruby-ronn,
+               pkg-config,
+               libssl-dev,
+               fuse,
 Standards-Version: 3.9.8
 Homepage: https://github.com/rfjakob/gocryptfs
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gocryptfs.git

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,8 @@
 DT = $(shell date -d "${CHDATE}" "+%Y-%m-%d")
 
 override_dh_auto_build:
-	rm -rf obj-*/src/github.com/rfjakob/gocryptfs/tests/matrix
-	rm -rf obj-*/src/github.com/rfjakob/gocryptfs/tests/normal
-	rm -rf obj-*/src/github.com/rfjakob/gocryptfs/tests/plaintextnames
-	dh_auto_build
-	cp -r internal/configfile/config_test obj-*/src/github.com/rfjakob/gocryptfs/internal/configfile
+	GOPATH=$(shell ls -d $(CURDIR)/obj*) go install -v  github.com/rfjakob/gocryptfs
+	GOPATH=$(shell ls -d $(CURDIR)/obj*) go test -v  github.com/rfjakob/gocryptfs
 	ronn --date=${DT} debian/*.ronn
 
 override_dh_auto_test:

=== debian/watch ===
version=3

https://github.com/rfjakob/gocryptfs/releases \
/rfjakob/gocryptfs/archive/v([0-9\.]+)\.tar\.gz

## gocryptfs 1.2

=== debian/changelog ===
gocryptfs (1.2-2ubuntu1) zesty; urgency=medium

  * d/p/Fix-a-missing-import-in-a-test: Disable, causes FTBFS.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 18 Feb 2017 04:48:27 -0500

gocryptfs (1.2-2) unstable; urgency=medium

  * Remove -dev dependencies from binary (Closes: 850473).

 -- David Steele <steele@debian.org>  Tue, 17 Jan 2017 20:19:19 -0500

gocryptfs (1.2-1) unstable; urgency=medium

  * New upstream version.
  * Depend on golang-any for better multi-arch support. 

 -- David Steele <steele@debian.org>  Wed, 07 Dec 2016 20:27:57 -0500

gocryptfs (1.1.1-2) unstable; urgency=medium

  * Use updated crypto library for ppc* support.
  * Use Dup3 for arm64 support.

 -- David Steele <steele@debian.org>  Tue, 29 Nov 2016 20:34:44 -0500

=== debian/control ===
Source: gocryptfs
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: David Steele <steele@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-hanwen-go-fuse-dev,
               golang-github-jacobsa-crypto-dev,
               golang-github-rfjakob-eme-dev,
               golang-golang-x-crypto-dev,
               pandoc,
               pkg-config,
               libssl-dev,
               fuse,
Standards-Version: 3.9.8
Homepage: https://github.com/rfjakob/gocryptfs
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gocryptfs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gocryptfs.git -b debian
XS-Go-Import-Path: github.com/rfjakob/gocryptfs

Package: gocryptfs
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Encrypted overlay filesystem written in Go.
 gocryptfs is built on top the excellent go-fuse
 (https://github.com/hanwen/go-fuse) FUSE library and its
 LoopbackFileSystem API.
 .
 This project was inspired by EncFS and strives to fix its
 security issues while providing good performance (benchmarks
 (https://nuetzlich.net/gocryptfs/comparison/#performance)).
 .
 For details on the security of gocryptfs see the Security
 (https://nuetzlich.net/gocryptfs/security/) design document.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PKD = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG = $(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source)
-VER = $(shell (dpkg-parsechangelog -l$(PKD)/changelog | grep Version | sed 's/Version..//' | sed 's/-.\+//'))
+VER ?= $(shell (dpkg-parsechangelog -l$(PKD)/changelog | grep Version | sed 's/Version..//' | sed 's/-.\+//'))
 
 %:
 	dh $@ --buildsystem=golang --with=golang
@@ -12,11 +12,14 @@
 
 override_dh_auto_build:
 	GOPATH=$(shell ls -d $(CURDIR)/obj*) go install -v  github.com/rfjakob/gocryptfs
-	GOPATH=$(shell ls -d $(CURDIR)/obj*) go test -v  github.com/rfjakob/gocryptfs
-	ronn --date=${DT} debian/*.ronn
+	pandoc Documentation/MANPAGE.md -s -t man -o debian/gocryptfs.1
 
 override_dh_auto_test:
+	GOPATH=$(shell ls -d $(CURDIR)/obj*) go test -v  github.com/rfjakob/gocryptfs
 
+override_dh_auto_clean:
+	rm -f debian/gocryptfs.1
+	dh_auto_clean
 
 get-orig-source:  $(info I: $(PKG)_$(VER))
 	@echo "# Downloading..."

## gocryptfs 1.2.1

=== debian/changelog ===
gocryptfs (1.2.1-1ubuntu1) artful; urgency=medium

  * Dont run flaky tests on ppc64el for now.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 03 Jun 2017 08:22:17 +0530

gocryptfs (1.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Fixed FTBFS error.
  * Enable all tests during build.
  * No longer installs source code.
  * Implement debci CI testing.

 -- David Steele <steele@debian.org>  Fri, 02 Jun 2017 13:33:43 -0400

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                libssl-dev,
                fuse,
 Standards-Version: 3.9.8
+Testsuite: autopkgtest
 Homepage: https://github.com/rfjakob/gocryptfs
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gocryptfs.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gocryptfs.git -b debian
@@ -24,7 +25,8 @@
 Package: gocryptfs
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${shlibs:Depends},
+Depends: libfuse2,
+         ${shlibs:Depends},
          ${misc:Depends}
 Description: Encrypted overlay filesystem written in Go.
  gocryptfs is built on top the excellent go-fuse

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 PKD = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG = $(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source)
 VER ?= $(shell (dpkg-parsechangelog -l$(PKD)/changelog | grep Version | sed 's/Version..//' | sed 's/-.\+//'))
+DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
 	dh $@ --buildsystem=golang --with=golang
@@ -14,12 +15,22 @@
 	GOPATH=$(shell ls -d $(CURDIR)/obj*) go install -v  github.com/rfjakob/gocryptfs
 	pandoc Documentation/MANPAGE.md -s -t man -o debian/gocryptfs.1
 
-override_dh_auto_test:
-	GOPATH=$(shell ls -d $(CURDIR)/obj*) go test -v  github.com/rfjakob/gocryptfs
-
 override_dh_auto_clean:
 	rm -f debian/gocryptfs.1
 	dh_auto_clean
+
+override_dh_auto_test:
+ifneq ($(DEB_BUILD_ARCH),ppc64el)
+	cp -r internal/* obj*/src/github.com/rfjakob/gocryptfs/internal/
+	cp -r tests/* obj*/src/github.com/rfjakob/gocryptfs/tests
+	cp obj*/bin/gocryptfs obj*/src/github.com/rfjakob/gocryptfs/
+	dh_auto_test
+	rm -f obj*/src/github.com/rfjakob/gocryptfs/gocryptfs
+endif
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -rf debian/gocryptfs/usr/share/gocode
 
 get-orig-source:  $(info I: $(PKG)_$(VER))
 	@echo "# Downloading..."

## gocryptfs 1.3

=== debian/changelog ===
gocryptfs (1.3-1) unstable; urgency=medium

  * New upstream version.
  * Compile against latest go-fuse for cross platform (Closes: 849662).

 -- David Steele <steele@debian.org>  Fri, 16 Jun 2017 17:09:26 -0400

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 PKD = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG = $(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source)
 VER ?= $(shell (dpkg-parsechangelog -l$(PKD)/changelog | grep Version | sed 's/Version..//' | sed 's/-.\+//'))
-DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
 	dh $@ --buildsystem=golang --with=golang
@@ -20,13 +19,11 @@
 	dh_auto_clean
 
 override_dh_auto_test:
-ifneq ($(DEB_BUILD_ARCH),ppc64el)
 	cp -r internal/* obj*/src/github.com/rfjakob/gocryptfs/internal/
 	cp -r tests/* obj*/src/github.com/rfjakob/gocryptfs/tests
 	cp obj*/bin/gocryptfs obj*/src/github.com/rfjakob/gocryptfs/
 	dh_auto_test
 	rm -f obj*/src/github.com/rfjakob/gocryptfs/gocryptfs
-endif
 
 override_dh_auto_install:
 	dh_auto_install

## gocryptfs 1.4.2

=== debian/changelog ===
gocryptfs (1.4.2-2) unstable; urgency=medium

  * Imported upstream commits fixing FTBS on i386 (dirent size)
  * Built with new version of go-fuse (Closes: #864809)
  * Passed upstream version, go-fuse version and timestamp to
    build process (Closes: #868070)
  * Built with tag 'without_openssl'

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 26 Jan 2018 14:02:27 -0800

gocryptfs (1.4.2-1) unstable; urgency=medium

  * New upstream version
  * Provided a basic manpage for gocryptfs(1), submitted upstream
  * Switched to standard dh_auto_build (for xray-tool)
  * Added some DH_GOLANG variables in rules
  * Removed patch 'unused-imports'
  * Removed Testsuite: autopkgtest header from control
  * Renamed debian/test to tests
  * Removed patch '0005-Remove-fusermount-tests-for-autopkgtest.patch'
  * Added 'isolation-machine' restriction to autopkgtest (for fuse)
  * Added Build-Depends: golang-golang-x-sys-dev
  * Specified version in Build-Depends: golang-github-hanwen-go-fuse
    (>= 0.0~git20171124.0.14c3015)
  * Specified version in Build-Depends: golang-github-jacobsa-crypto
    (>= 0.0~git20161111.0.293ce0c+dfsg1-5)
  * Added upstream signing key
  * Checking upstream signature in watch file
  * Excluded source dependencies from copyright
  * Switched to secure URL for copyright format
  * Added Upstream-Contact to copyright
  * Set Standards-Version: 4.1.3
  * Removed trailing whitespace from changelog
  * Set Build-Depends: debhelper (>= 11)
  * Set compat to 11
  * Set Priority: optional (from extra)
  * Removed full stop at the end of short package description
  * Small edit to long package description
  * Fixed spelling (submitted upstream)
  * Added self to Uploaders:

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 21 Jan 2018 20:39:51 -0800

=== debian/control ===
Source: gocryptfs
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: David Steele <steele@debian.org>, Felix Lechner <felix.lechner@lease-up.com>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-hanwen-go-fuse-dev (>= 0.0~git20171124.0.14c3015),
               golang-github-jacobsa-crypto-dev (>= 0.0~git20161111.0.293ce0c+dfsg1-5),
               golang-github-rfjakob-eme-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               pandoc,
               pkg-config,
               libssl-dev,
               fuse,
Standards-Version: 4.1.3
Homepage: https://github.com/rfjakob/gocryptfs
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gocryptfs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gocryptfs.git -b debian
XS-Go-Import-Path: github.com/rfjakob/gocryptfs

Package: gocryptfs
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: libfuse2,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Encrypted overlay filesystem written in Go
 gocryptfs is built on top of the excellent go-fuse
 (https://github.com/hanwen/go-fuse) FUSE library and its
 LoopbackFileSystem API.
 .
 This project was inspired by EncFS and strives to fix its
 security issues while providing good performance (benchmarks
 (https://nuetzlich.net/gocryptfs/comparison/#performance)).
 .
 For details on the security of gocryptfs see the Security
 (https://nuetzlich.net/gocryptfs/security/) design document.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_GOPKG := github.com/rfjakob/gocryptfs
export DH_GOLANG_EXCLUDES := example test
export DH_GOLANG_INSTALL_ALL := 1

PKD = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
#PKG = $(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source)
PKG = $(DEB_SOURCE)

DEBIAN_VERSION = $(shell (echo $(DEB_VERSION_UPSTREAM) | sed 's/\+dfsg1//'))
#PRODUCT_VERSION = $(shell (grep "version=" setup.py | sed "s/.\+'\(.\+\)'.\+/\1/"))

GOFUSE_VERSION_UPSTREAM=$(shell dpkg-query -f='$${source:Upstream-Version}' -W golang-github-hanwen-go-fuse-dev)
#CHANGELOG_TIMESTAMP=$(shell date -u --rfc-3339=seconds -d@$(SOURCE_DATE_EPOCH))
CHANGELOG_TIMESTAMP=$(shell date -u --rfc-3339=date -d@$(SOURCE_DATE_EPOCH))
DEB_LDFLAGS="-X main.GitVersion=$(DEB_VERSION_UPSTREAM) -X main.GitVersionFuse=$(GOFUSE_VERSION_UPSTREAM) -X main.BuildDate=$(CHANGELOG_TIMESTAMP)"

%:
	dh $@ --buildsystem=golang --with=golang

CHDATE = $(shell grep "\-\-" debian/changelog | head -1 | sed 's/.\+, //' | sed 's/...\:.\+//' )
DT = $(shell date -d "${CHDATE}" "+%Y-%m-%d")

override_dh_auto_build:
	dh_auto_build -- -tags without_openssl -ldflags $(DEB_LDFLAGS)
	pandoc Documentation/MANPAGE.md -s -t man -o debian/gocryptfs.1
	pandoc Documentation/MANPAGE-XRAY.md -s -t man -o debian/gocryptfs-xray.1

override_dh_auto_clean:
	rm -f debian/gocryptfs.1
	rm -f debian/gocryptfs-xray.1
	dh_auto_clean

override_dh_auto_test:
	cp -r internal/* obj*/src/github.com/rfjakob/gocryptfs/internal/
	cp -r tests/* obj*/src/github.com/rfjakob/gocryptfs/tests
	cp obj*/bin/gocryptfs obj*/src/github.com/rfjakob/gocryptfs/
	dh_auto_test
	rm -f obj*/src/github.com/rfjakob/gocryptfs/gocryptfs

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/gocryptfs/usr/share/gocode

get-orig-source:  $(info I: $(DEB_SOURCE)_$(DEBIAN_VERSION))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(DEBIAN_VERSION) $(PKD)
	rm -f gocryptfs_v$(DEBIAN_VERSION)*.tar.gz.pgp

## gocryptfs 1.4.3

=== debian/changelog ===
gocryptfs (1.4.3-5build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:28 +0000

gocryptfs (1.4.3-5) unstable; urgency=medium

  * Undid last revision, sync/map still missing from gcc-go's libgo

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 04 Feb 2018 15:48:47 -0800

gocryptfs (1.4.3-4) unstable; urgency=medium

  * Changed last import golang.org/x/sync/syncmap to sync
  * Dropped build dependency on orphaned golang-golang-x-sync-dev
  * Reordered patches

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 04 Feb 2018 14:42:12 -0800

gocryptfs (1.4.3-3) unstable; urgency=medium

  * Cherry picked two more commits from upstream to enable
    building with gccgo (for s390x)
  * Disabled getdents emulation (not needed but test fails
    when building with gccgo, for example on s390x)
  * Fixed spelling errors

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 03 Feb 2018 20:53:18 -0800

gocryptfs (1.4.3-2) unstable; urgency=medium

  * Cherry picked commit to switch to unix.Getdents from
    syscall.Getdents to address test failure on mips64el
    (https://github.com/rfjakob/gocryptfs/issues/200)

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 31 Jan 2018 11:14:20 -0800

gocryptfs (1.4.3-1) unstable; urgency=medium

  * New upstream release
  * Added minimum version to Build-Depends: golang-golang-x-sys-dev
    (>= 0.0~git20180126.0.ff2a66f) because of Fstatat()
  * Removed patch for xray manpage (accepted upstream)
  * Removed patch for spelling fixes (accepted upstream)
  * Updated patches to address FTBFB on i386 (dirent size,
    accepted upstream post 1.4.3)
  * Re-enabled building with openssl

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 28 Jan 2018 13:48:58 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gocryptfs
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: David Steele <steele@debian.org>, Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends: debhelper (>= 11),
                dh-golang,
@@ -11,7 +12,7 @@
                golang-github-rfjakob-eme-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-sync-dev,
-               golang-golang-x-sys-dev,
+               golang-golang-x-sys-dev (>= 0.0~git20180126.0.ff2a66f),
                pandoc,
                pkg-config,
                libssl-dev,

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 DT = $(shell date -d "${CHDATE}" "+%Y-%m-%d")
 
 override_dh_auto_build:
-	dh_auto_build -- -tags without_openssl -ldflags $(DEB_LDFLAGS)
+	dh_auto_build -- -ldflags $(DEB_LDFLAGS)
 	pandoc Documentation/MANPAGE.md -s -t man -o debian/gocryptfs.1
 	pandoc Documentation/MANPAGE-XRAY.md -s -t man -o debian/gocryptfs-xray.1

=== debian/tests/control ===
Tests: gocryptfs-test
Depends: @, @builddeps@
Restrictions: build-needed, isolation-machine

## gocryptfs 1.6

=== debian/changelog ===
gocryptfs (1.6-1) unstable; urgency=medium

  * New upstream release
  * Deleted patches that were accepted upstream
  * Refreshed, updated and renamed the remaining patches
  * Removed unnecessary 'export DH_GOPKG' from debian/rules.
  * Set Build-Depends: golang-github-hanwen-go-fuse-dev
    (>= 0.0~gitgit20181027.c029b69)
  * Added Build-Depends: golang-github-pkg-xattr-dev (>= 0.3.1)

  [ David Steele ]
  * Removed test requirement for an isolation machine.

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 02 Nov 2018 15:13:05 -0700

gocryptfs (1.4.3-7) unstable; urgency=medium

  * Disable getdents tests (Closes: #906466)
  * Set Standards-Version: 4.2.1
  * Removed get-orig-source target from rules

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 14 Sep 2018 16:58:03 -0700

gocryptfs (1.4.3-6) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Felix Lechner ]
  * Set Standards-Version: 4.1.5

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 11 Jul 2018 17:17:33 -0700

## gocryptfs 1.6.1

=== debian/changelog ===
gocryptfs (1.6.1-4) unstable; urgency=medium

  * Team upload.
  * Temporarily remove Built-Using.

 -- David Steele <steele@debian.org>  Wed, 24 Jul 2019 21:35:09 -0400

gocryptfs (1.6.1-3) unstable; urgency=medium

  * Re-uploaded; key was expired in previous upload.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 16 Jul 2019 15:29:31 -0700

gocryptfs (1.6.1-2) unstable; urgency=medium

  [ David Steele ]
  * Fix autopkgtest (Closes: #913666)
  * Remove self as an Uploader (thank you for your service)

  [ Felix Lechner ]
  * Bump Standards-Version: 4.4.0

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 08 Jul 2019 18:34:10 -0700

gocryptfs (1.6.1-1) unstable; urgency=medium

  * New upstream version

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 13 Dec 2018 15:08:37 -0800

=== debian/control ===
Source: gocryptfs
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Felix Lechner <felix.lechner@lease-up.com>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-hanwen-go-fuse-dev (>= 0.0~git20181027.c029b69),
               golang-github-jacobsa-crypto-dev (>= 0.0~git20161111.0.293ce0c+dfsg1-5),
               golang-github-pkg-xattr-dev (>= 0.3.1),
               golang-github-rfjakob-eme-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev (>= 0.0~git20180126.0.ff2a66f),
               pandoc,
               pkg-config,
               libssl-dev,
               fuse,
Standards-Version: 4.4.0
Homepage: https://github.com/rfjakob/gocryptfs
Vcs-Browser: https://salsa.debian.org/go-team/packages/gocryptfs
Vcs-Git: https://salsa.debian.org/go-team/packages/gocryptfs.git
XS-Go-Import-Path: github.com/rfjakob/gocryptfs

Package: gocryptfs
Architecture: any
Depends: libfuse2,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Encrypted overlay filesystem written in Go
 gocryptfs is built on top of the excellent go-fuse
 (https://github.com/hanwen/go-fuse) FUSE library and its
 LoopbackFileSystem API.
 .
 This project was inspired by EncFS and strives to fix its
 security issues while providing good performance (benchmarks
 (https://nuetzlich.net/gocryptfs/comparison/#performance)).
 .
 For details on the security of gocryptfs see the Security
 (https://nuetzlich.net/gocryptfs/security/) design document.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_GOLANG_EXCLUDES := example test
export DH_GOLANG_INSTALL_ALL := 1

GOFUSE_VERSION_UPSTREAM=$(shell dpkg-query -f='$${source:Upstream-Version}' -W golang-github-hanwen-go-fuse-dev)
CHANGELOG_TIMESTAMP=$(shell date -u --rfc-3339=date -d@$(SOURCE_DATE_EPOCH))
DEB_LDFLAGS="-X main.GitVersion=$(DEB_VERSION_UPSTREAM) -X main.GitVersionFuse=$(GOFUSE_VERSION_UPSTREAM) -X main.BuildDate=$(CHANGELOG_TIMESTAMP)"

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	env > /tmp/env
	env
	dh_auto_build -- -ldflags $(DEB_LDFLAGS)
	cp -r internal/* obj*/src/github.com/rfjakob/gocryptfs/internal/
	cp -r tests/* obj*/src/github.com/rfjakob/gocryptfs/tests
	cp obj*/bin/gocryptfs obj*/src/github.com/rfjakob/gocryptfs/
	pandoc Documentation/MANPAGE.md -s -t man -o debian/gocryptfs.1
	pandoc Documentation/MANPAGE-XRAY.md -s -t man -o debian/gocryptfs-xray.1

override_dh_auto_clean:
	rm -f debian/gocryptfs.1
	rm -f debian/gocryptfs-xray.1
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/gocryptfs/usr/share/gocode

## gocryptfs 1.7

=== debian/changelog ===
gocryptfs (1.7-3) unstable; urgency=medium

  * Cherry-pick "fusefrontend: don't return EIO on directory with corrupt file".
  * Bump Standards-Version to 4.4.1.
  * Add Rules-Requires-Root: no to d/control.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 24 Nov 2019 04:47:57 -0800

gocryptfs (1.7-2) unstable; urgency=medium

  * Cherry pick fix for '--idle' and its test to resolve #939544.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 08 Sep 2019 07:48:40 -0700

gocryptfs (1.7-1) unstable; urgency=medium

  * New upstream release. (Closes: #939544)
  * Fix manpage for gocryptfs (spelling, man warning).
  * Provide manpage for statfs.
  * Re-add Built-Using.
  * Bump debhelper compat to 12; switch to debhelper-compat in control.

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 06 Sep 2019 08:48:53 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Felix Lechner <felix.lechner@lease-up.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-hanwen-go-fuse-dev (>= 0.0~git20181027.c029b69),
@@ -17,7 +17,8 @@
                pkg-config,
                libssl-dev,
                fuse,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/rfjakob/gocryptfs
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gocryptfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/gocryptfs.git
@@ -25,6 +26,7 @@
 
 Package: gocryptfs
 Architecture: any
+Built-Using: ${misc:Built-Using}
 Depends: libfuse2,
          ${shlibs:Depends},
          ${misc:Depends}

## gocryptfs 1.7.1

=== debian/changelog ===
gocryptfs (1.7.1-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 01:17:53 +0200

gocryptfs (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches accepted upstream.
  * Rebase remaining patches.

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 25 Dec 2019 19:53:26 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gocryptfs
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
@@ -10,6 +11,7 @@
                golang-github-jacobsa-crypto-dev (>= 0.0~git20161111.0.293ce0c+dfsg1-5),
                golang-github-pkg-xattr-dev (>= 0.3.1),
                golang-github-rfjakob-eme-dev,
+               golang-github-sabhiram-go-gitignore-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180126.0.ff2a66f),

## gocryptfs 1.8.0

=== Makefile ===
.phony: build
build:
	./build.bash
	./Documentation/MANPAGE-render.bash

.phony: test
test:
	./test.bash

.phony: root_test
root_test:
	./build.bash
	cd tests/root_test ; go test -c ; sudo ./root_test.test -test.v

.phony: format
format:
	go fmt ./...

.phony: install
install:
	install -Dm755 -t "$(DESTDIR)/usr/bin/" gocryptfs
	install -Dm755 -t "$(DESTDIR)/usr/bin/" gocryptfs-xray/gocryptfs-xray
	install -Dm644 -t "$(DESTDIR)/usr/share/man/man1/" Documentation/gocryptfs.1
	install -Dm644 -t "$(DESTDIR)/usr/share/man/man1/" Documentation/gocryptfs-xray.1
	install -Dm644 -t "$(DESTDIR)/usr/share/licenses/gocryptfs" LICENSE

=== debian/changelog ===
gocryptfs (1.8.0-1) unstable; urgency=medium

  [Felix Lechner]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper compat to 13.
  * Bump minimum versions for several build prerequisites.

  [Jelmer Vernooĳ]
  * Bump Standards-Version to 4.5.0.
  * Add fields for upstream metadata.
  * Adjust whitespace in d/copyright.

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 27 Nov 2020 13:42:06 -0800

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,12 @@
 	cp obj*/bin/gocryptfs obj*/src/github.com/rfjakob/gocryptfs/
 	pandoc Documentation/MANPAGE.md -s -t man -o debian/gocryptfs.1
 	pandoc Documentation/MANPAGE-XRAY.md -s -t man -o debian/gocryptfs-xray.1
+	pandoc Documentation/MANPAGE-STATFS.md -s -t man -o debian/statfs.1
 
 override_dh_auto_clean:
 	rm -f debian/gocryptfs.1
 	rm -f debian/gocryptfs-xray.1
+	rm -f debian/statfs.1
 	dh_auto_clean
 
 override_dh_auto_install:

=== debian/tests/control ===
Tests: gocryptfs-test
Depends: @, @builddeps@
Restrictions: build-needed

=== debian/watch ===
version=4

opts=\
filenamemangle=s/.+\/gocryptfs_v([0-9\.]+)_src\.tar\.gz/gocryptfs-$1\.tar\.gz/,\
pgpsigurlmangle=s/$/.asc/ \
  https://github.com/rfjakob/gocryptfs/releases .+/gocryptfs_v([0-9\.]+)_src\.tar\.gz

## gocryptfs 2.2.1

=== debian/changelog ===
gocryptfs (2.2.1-1ubuntu0.1) kinetic-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 04 May 2023 13:58:57 +0530

gocryptfs (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * rules: run some upstream tests.
  * Install only main executables (gocryptfs, gocryptfs-xray, statfs).
  * Build-Depends:
    + golang-github-spf13-pflag-dev
    = golang-github-hanwen-go-fuse-dev (>= 2.1.0+git20220112~)
    = golang-github-sabhiram-go-gitignore-dev (>= 1.0.2+git20210923~)
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 May 2022 14:48:07 +1000

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Felix Lechner <felix.lechner@lease-up.com>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Felix Lechner <felix.lechner@lease-up.com>, Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-hanwen-go-fuse-dev (>= 0.0~git20181027.c029b69),
-               golang-github-jacobsa-crypto-dev (>= 0.0~git20161111.0.293ce0c+dfsg1-5),
-               golang-github-pkg-xattr-dev (>= 0.3.1),
-               golang-github-rfjakob-eme-dev,
-               golang-github-sabhiram-go-gitignore-dev,
+               golang-github-hanwen-go-fuse-dev (>= 2.1.0+git20220112~),
+               golang-github-jacobsa-crypto-dev (>= 0.0~git20190317.0.9f44e2d+dfsg1),
+               golang-github-pkg-xattr-dev (>= 0.4.1),
+               golang-github-rfjakob-eme-dev (>= 1.1.1),
+               golang-github-sabhiram-go-gitignore-dev (>= 1.0.2+git20210923~),
+               golang-github-spf13-pflag-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-sync-dev,
-               golang-golang-x-sys-dev (>= 0.0~git20180126.0.ff2a66f),
+               golang-golang-x-sys-dev (>= 0.0~git20200501.0.bc7a7d4),
                pandoc,
                pkg-config,
                libssl-dev,
                fuse,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rfjakob/gocryptfs
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gocryptfs

## gocryptfs 2.3

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,13 @@
 .phony: root_test
 root_test:
 	./build.bash
-	cd tests/root_test ; go test -c ; sudo ./root_test.test -test.v
+	cd tests/root_test && go test -c && sudo ./root_test.test -test.v
 
 .phony: format
 format:
 	go fmt ./...
 
+# Keep in sync with uninstall!
 .phony: install
 install:
 	install -Dm755 -t "$(DESTDIR)/usr/bin/" gocryptfs
@@ -23,3 +24,34 @@
 	install -Dm644 -t "$(DESTDIR)/usr/share/man/man1/" Documentation/gocryptfs.1
 	install -Dm644 -t "$(DESTDIR)/usr/share/man/man1/" Documentation/gocryptfs-xray.1
 	install -Dm644 -t "$(DESTDIR)/usr/share/licenses/gocryptfs" LICENSE
+
+.phony: uninstall
+uninstall:
+	rm -f "$(DESTDIR)/usr/bin/gocryptfs"
+	rm -f "$(DESTDIR)/usr/bin/gocryptfs-xray"
+	rm -f "$(DESTDIR)/usr/share/man/man1/gocryptfs.1"
+	rm -f "$(DESTDIR)/usr/share/man/man1/gocryptfs-xray.1"
+	rm -f "$(DESTDIR)/usr/share/licenses/gocryptfs/LICENSE"
+
+.phony: ci
+ci:
+	uname -a ; go version ; openssl version
+	df -Th / /tmp /var/tmp
+
+	./build-without-openssl.bash
+	./build.bash
+	./test.bash
+	make root_test
+	./crossbuild.bash
+
+	echo "Rebuild with locked dependencies"
+	# Download dependencies to "vendor" directory
+	go mod vendor
+	# Delete global cache
+	go clean -modcache
+	# GOPROXY=off makes sure we fail instead of making network requests
+	# (we should not need any!)
+	# "-mod=vendor" is required for Go 1.13
+	GOPROXY=off ./build.bash -mod=vendor
+	# Delete "vendor" dir
+	rm -R vendor

=== debian/changelog ===
gocryptfs (2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 19 Sep 2022 17:01:06 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gocryptfs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Felix Lechner <felix.lechner@lease-up.com>, Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_GOLANG_EXCLUDES := test
export DH_GOLANG_INSTALL_ALL := 1

GOFUSE_VERSION_UPSTREAM=$(shell dpkg-query -f='$${source:Upstream-Version}' -W golang-github-hanwen-go-fuse-dev)
CHANGELOG_TIMESTAMP=$(shell date -u --rfc-3339=date -d@$(SOURCE_DATE_EPOCH))
DEB_LDFLAGS="-X main.GitVersion=$(DEB_VERSION_UPSTREAM) -X main.GitVersionFuse=$(GOFUSE_VERSION_UPSTREAM) -X main.BuildDate=$(CHANGELOG_TIMESTAMP)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_build:
	env > /tmp/env
	env
	dh_auto_build -- -ldflags $(DEB_LDFLAGS)
	cp -r internal/* _build/src/github.com/rfjakob/gocryptfs/internal/
	cp -r tests/* _build/src/github.com/rfjakob/gocryptfs/tests
	cp _build/bin/gocryptfs _build/src/github.com/rfjakob/gocryptfs/
	pandoc Documentation/MANPAGE.md -s -t man -o debian/gocryptfs.1
	pandoc Documentation/MANPAGE-XRAY.md -s -t man -o debian/gocryptfs-xray.1
	pandoc Documentation/MANPAGE-STATFS.md -s -t man -o debian/statfs.1

override_dh_auto_test:
	\
    PATH="$(CURDIR)/_build/bin:$$PATH" \
    DH_GOLANG_EXCLUDES="gocryptfs-xray tests/cli tests/defaults tests/deterministic_names tests/example_filesystems tests/fsck tests/hkdf_sanity tests/matrix tests/plaintextnames tests/reverse tests/sharedstorage tests/xattr" \
    dh_auto_test

override_dh_auto_clean:
	rm -f debian/gocryptfs.1
	rm -f debian/gocryptfs-xray.1
	rm -f debian/statfs.1
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	rm -rf debian/tmp/usr/share/gocode

## gocryptfs 2.4.0

=== internal/stupidgcm/Makefile ===
.PHONY: test
test: gcc
	# All three ways of building this must work
	go build
	go build -tags without_openssl
	CGO_ENABLED=0 go build -tags without_openssl
	# Likewise, all three ways of testing this must work
	go test -v
	go test -v -tags without_openssl
	CGO_ENABLED=0 go test -v -tags without_openssl

.PHONY: gcc
gcc:
	gcc -Wall -Wextra -Wformat-security -Wconversion -lcrypto -c *.c

.PHONY: format
format:
	clang-format --style=WebKit -i *.c *.h

=== debian/changelog ===
gocryptfs (2.4.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 24 Jun 2025 12:18:02 +1000

gocryptfs (2.4.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:42:11 +0100

gocryptfs (2.4.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:15:39 +0530

gocryptfs (2.4.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:18 +1100

gocryptfs (2.4.0-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:08:08 +0000

gocryptfs (2.4.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:35 +1200

gocryptfs (2.4.0-1) unstable; urgency=medium

  [ Unit 193 ]
  * Team upload.
  * New upstream release.
    - Refresh patch.
  * d/p/003-revert-jacobsa-fork.patch:
    - Revert the switch to a jacobsa/crypto fork, not in Debian.
  * d/control:
    - Update (Build-)Depends.
      + B-D: golang-github-moby-sys-dev, golang-golang-x-term-dev.
      + R: fuse3 (Closes: #1034009), S: fido2-tools.
      - B-D: golang-golang-x-sync-dev, fuse, D: libfuse2
    - Add ${misc:Static-Built-Using} to Built-Using.
  * d/rules:
    - Remove some debug calls.
    - Add tests/root_test to disabled tests list.
  * Update Standards-Version to 4.6.2.

  [ Damian Szuberski ]
  * Corrected "watch" file.

 -- Unit 193 <unit193@debian.org>  Fri, 11 Aug 2023 18:06:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: gocryptfs
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Felix Lechner <felix.lechner@lease-up.com>, Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-hanwen-go-fuse-dev (>= 2.1.0+git20220112~),
                golang-github-jacobsa-crypto-dev (>= 0.0~git20190317.0.9f44e2d+dfsg1),
+               golang-github-moby-sys-dev,
                golang-github-pkg-xattr-dev (>= 0.4.1),
                golang-github-rfjakob-eme-dev (>= 1.1.1),
                golang-github-sabhiram-go-gitignore-dev (>= 1.0.2+git20210923~),
                golang-github-spf13-pflag-dev,
                golang-golang-x-crypto-dev,
-               golang-golang-x-sync-dev,
                golang-golang-x-sys-dev (>= 0.0~git20200501.0.bc7a7d4),
+               golang-golang-x-term-dev,
                pandoc,
                pkg-config,
                libssl-dev,
-               fuse,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rfjakob/gocryptfs
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gocryptfs
@@ -28,10 +29,10 @@
 
 Package: gocryptfs
 Architecture: any
-Built-Using: ${misc:Built-Using}
-Depends: libfuse2,
-         ${shlibs:Depends},
-         ${misc:Depends}
+Built-Using: ${misc:Built-Using}, ${misc:Static-Built-Using}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: fuse3
+Suggests: fido2-tools
 Description: Encrypted overlay filesystem written in Go
  gocryptfs is built on top of the excellent go-fuse
  (https://github.com/hanwen/go-fuse) FUSE library and its

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,6 @@
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
 
 override_dh_auto_build:
-	env > /tmp/env
-	env
 	dh_auto_build -- -ldflags $(DEB_LDFLAGS)
 	cp -r internal/* _build/src/github.com/rfjakob/gocryptfs/internal/
 	cp -r tests/* _build/src/github.com/rfjakob/gocryptfs/tests
@@ -26,7 +24,8 @@
 override_dh_auto_test:
 	\
     PATH="$(CURDIR)/_build/bin:$$PATH" \
-    DH_GOLANG_EXCLUDES="gocryptfs-xray tests/cli tests/defaults tests/deterministic_names tests/example_filesystems tests/fsck tests/hkdf_sanity tests/matrix tests/plaintextnames tests/reverse tests/sharedstorage tests/xattr" \
+    DH_GOLANG_EXCLUDES="gocryptfs-xray tests/cli tests/defaults tests/deterministic_names tests/example_filesystems tests/fsck tests/hkdf_sanity \
+			tests/matrix tests/plaintextnames tests/reverse tests/root_test tests/sharedstorage tests/xattr" \
     dh_auto_test
 
 override_dh_auto_clean:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/"
  https://github.com/rfjakob/gocryptfs/tags .*/v?(\d\S*)\.tar\.gz debian

## gocryptfs 2.5.1

=== contrib/getdents-debug/getdents_c/Makefile ===
getdents_c: *.c Makefile
	gcc getdents.c -o getdents_c

=== debian/changelog ===
gocryptfs (2.5.1-2) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * Add upstream fix for FTBFS on 32-bit. Closes: #1097131.
  * Promote fuse3 from Recommends to Depends. Closes: #1101369.
  * Update Uploaders. Closes: #1099916.

 -- Santiago Vila <sanvila@debian.org>  Mon, 12 May 2025 13:15:00 +0200

gocryptfs (2.5.1-1) unstable; urgency=medium

  * New upstream release.
    + Fixed "Slow transfer speed over sshfs" (Closes: #1087533).
  * Modernised "watch" file (Closes: #1043475).
  * Build-Depends: pkg-config --> pkgconf

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Jan 2025 16:53:20 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: gocryptfs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Felix Lechner <felix.lechner@lease-up.com>, Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-hanwen-go-fuse-dev (>= 2.1.0+git20220112~),
+               golang-github-hanwen-go-fuse-dev (>= 2.4.2~),
                golang-github-jacobsa-crypto-dev (>= 0.0~git20190317.0.9f44e2d+dfsg1),
                golang-github-moby-sys-dev,
                golang-github-pkg-xattr-dev (>= 0.4.1),
@@ -18,7 +17,7 @@
                golang-golang-x-sys-dev (>= 0.0~git20200501.0.bc7a7d4),
                golang-golang-x-term-dev,
                pandoc,
-               pkg-config,
+               pkgconf | pkg-config,
                libssl-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -30,8 +29,7 @@
 Package: gocryptfs
 Architecture: any
 Built-Using: ${misc:Built-Using}, ${misc:Static-Built-Using}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: fuse3
+Depends: ${shlibs:Depends}, ${misc:Depends}, fuse3
 Suggests: fido2-tools
 Description: Encrypted overlay filesystem written in Go
  gocryptfs is built on top of the excellent go-fuse

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 override_dh_auto_build:
 	dh_auto_build -- -ldflags $(DEB_LDFLAGS)
 	cp -r internal/* _build/src/github.com/rfjakob/gocryptfs/internal/
-	cp -r tests/* _build/src/github.com/rfjakob/gocryptfs/tests
 	cp _build/bin/gocryptfs _build/src/github.com/rfjakob/gocryptfs/
 	pandoc Documentation/MANPAGE.md -s -t man -o debian/gocryptfs.1
 	pandoc Documentation/MANPAGE-XRAY.md -s -t man -o debian/gocryptfs-xray.1

## gocryptfs 2.6.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,11 @@
 .phony: root_test
 root_test:
 	./build.bash
-	cd tests/root_test && go test -c && sudo ./root_test.test -test.v
+
+# Need to use TMPDIR=/var/tmp as TestOverlay fails on tmpfs.
+	cd tests/root_test && go test -c && sudo TMPDIR=/var/tmp ./root_test.test -test.v
+
+	cd tests/cli && go test -c && sudo ./cli.test -test.v -test.run=TestDirectMount
 
 .phony: format
 format:

=== debian/changelog ===
gocryptfs (2.6.1-1) unstable; urgency=medium

  * Team upload.

  [ Santiago Vila ]
  * Drop gitlab-ci.yml and use Salsa CI instead.

  [ Unit 193 ]
  * New upstream release.
    - Drop upstream patches, refresh remaining.
  * d/control: Bump constraint on golang-github-hanwen-go-fuse-dev.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Mon, 08 Sep 2025 02:48:21 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-hanwen-go-fuse-dev (>= 2.4.2~),
+               golang-github-hanwen-go-fuse-dev (>= 2.8.0~),
                golang-github-jacobsa-crypto-dev (>= 0.0~git20190317.0.9f44e2d+dfsg1),
                golang-github-moby-sys-dev,
                golang-github-pkg-xattr-dev (>= 0.4.1),
@@ -19,7 +19,7 @@
                pandoc,
                pkgconf | pkg-config,
                libssl-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rfjakob/gocryptfs
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gocryptfs

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# https://wiki.debian.org/debian/watch
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
compression=xz,\
repack,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
searchmode=plain,\
" https://api.github.com/repos/rfjakob/@PACKAGE@/releases?per_page=99 \
  https://api.github.com/repos/[^/]+/[^/]+/tarball/v?([\d.]+)
